Description: Move zhcon fonts and IME tables to /usr/share/zhcon
 The fonts and IME tables that come with zhcon are platform-independent,
 and should not be in /usr/lib/zhcon.  Furthermore, with the new
 multiarch support in place, these files would have been installed
 in directories such as /usr/lib/x86_64-linux-gnu/zhcon, and
 zhcon would not be able to find its fonts, hence the move.
Author: Anthony Fok <foka@debian.org>
Origin: vendor
Forwarded: no
Last-Update: 2015-11-19, 2018-08-06
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/font/Makefile.am
+++ b/font/Makefile.am
@@ -1,8 +1,8 @@
 EXTRA_DIST = *.bpsf
 
 install-data-local:
-	$(mkinstalldirs) $(DESTDIR)$(libdir)/zhcon/font/
-	$(INSTALL_DATA) $(srcdir)/*.bpsf $(DESTDIR)$(libdir)/zhcon/font/
+	$(mkinstalldirs) $(DESTDIR)$(datadir)/zhcon/font/
+	$(INSTALL_DATA) $(srcdir)/*.bpsf $(DESTDIR)$(datadir)/zhcon/font/
 
 uninstall-local:
-	-rm -f $(DESTDIR)$(libdir)/zhcon/font/*.bpsf
+	-rm -f $(DESTDIR)$(datadir)/zhcon/font/*.bpsf
--- a/src/zhcon.cpp
+++ b/src/zhcon.cpp
@@ -622,7 +622,7 @@
     if (getenv("LC_ALL"))
         mOldLocale = getenv("LC_ALL");
 
-    string prefix = PREFIX"/lib/zhcon/";
+    string prefix = PREFIX"/share/zhcon/";
     mASCIIFont = prefix + f.GetOption(string("ascfont"), string(ASCIIFONT));
     mGB2312Font = prefix + f.GetOption(string("gbfont"), string(GB2312FONT));
     mGBKFont = prefix + f.GetOption(string("gbkfont"), string(GBKFONT));
@@ -766,7 +766,7 @@
     InputManager::SetTty(mConFd, ttyno, mTtyFd);
     
     string s;
-    s = f.GetOption(string("zhconpath"), string(PREFIX"/lib/zhcon/"));
+    s = f.GetOption(string("zhconpath"), string(PREFIX"/share/zhcon/"));
     NativeInputServer::SetDataPath(s);
 #ifdef HAVE_UNICON_LIB
     s = f.GetOption(string("uniconpath"), string("/usr/lib/unicon/"));
--- a/input/Makefile.am
+++ b/input/Makefile.am
@@ -1,8 +1,8 @@
 EXTRA_DIST = *.mb
 
 install-data-local:
-	$(mkinstalldirs) $(DESTDIR)$(libdir)/zhcon/input/
-	$(INSTALL_DATA) $(srcdir)/*.mb $(DESTDIR)$(libdir)/zhcon/input/
+	$(mkinstalldirs) $(DESTDIR)$(datadir)/zhcon/input/
+	$(INSTALL_DATA) $(srcdir)/*.mb $(DESTDIR)$(datadir)/zhcon/input/
 
 uninstall-local:
-	-rm -f $(DESTDIR)$(libdir)/zhcon/input/*.mb
+	-rm -f $(DESTDIR)$(datadir)/zhcon/input/*.mb
